## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_with check
%global debug_package %{nil}

# https://github.com/prometheus/client_golang
%global goipath         github.com/prometheus/client_golang
Version:                1.15.0

%gometa


%global common_description %{expand:
Prometheus instrumentation library for Go applications.}

%global golicenses      NOTICE LICENSE
%global godocs          examples SECURITY.md CONTRIBUTING.md MAINTAINERS.md\\\
                        README.md CHANGELOG.md CODE_OF_CONDUCT.md\\\
                        scripts/errcheck_excludes.txt prometheus/README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Prometheus instrumentation library for Go applications

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  golang(github.com/beorn7/perks/quantile)
BuildRequires:  golang(github.com/cespare/xxhash/v2)
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
#BuildRequires:  golang(github.com/jessicalins/instrumentation-practices-examples)
BuildRequires:  golang-github-jessicalins-instrumentation-practices-examples-devel
BuildRequires:  golang(github.com/json-iterator/go)
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(github.com/prometheus/common/expfmt)
BuildRequires:  golang(github.com/prometheus/common/model)
BuildRequires:  golang(github.com/prometheus/procfs)
BuildRequires:  golang(google.golang.org/protobuf/proto)
BuildRequires:  golang(google.golang.org/protobuf/types/known/timestamppb)

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%build
for cmd in prometheus; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license NOTICE LICENSE
%doc examples SECURITY.md CONTRIBUTING.md MAINTAINERS.md README.md CHANGELOG.md
%doc CODE_OF_CONDUCT.md scripts/errcheck_excludes.txt prometheus/README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon May 01 2023 Sérgio M. Basto <sergio@serjux.com> - 1.15.0-1
- prometheus-client_golang-1.15.0

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 1.12.2-5
- Rebuild to fix FTBFS

* Sun Jul 24 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.12.2-4
- Use SPDX

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 22 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.12.2-2
- Fix typo

* Wed Jun 22 2022 Maxwell G <gotmax@e.email> - 1.12.2-1
- Update to 1.12.1 Close: rhbz#2042592 rhbz#2067400
- Mitigate CVE-2022-21698 (rhbz#2067400).

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 08 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.11.0-2
- Disable a  test on some archs

* Sun Aug 08 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.11.0-1
- Update to 1.11.0 Close: rhbz#1940735

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 21 11:28:25 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.9.0-1
- Update to 1.9.0
- Close: rhbz#1888880

* Thu Jul 30 22:42:18 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.7.1-1
- Update to 1.7.1

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.9.4-2
- Add Obsoletes for old name

* Sat Jun 22 23:37:43 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.4-1
- Release 0.9.4

* Thu Apr 18 17:19:27 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.2-1
- Release 0.9.2

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-0.5.git180b8fd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0.9.0-0.4.git180b8fd
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-0.3.git180b8fd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 26 2018 Jan Chaloupka <jchaloup@redhat.com> - 0.9.0-0.2.git180b8fd
- Upload glide files

* Tue May 08 2018 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-0.1.20180526git180b8fd
- Update to 0.9.0 pre snapshot to fix syncthing builds.
- Update to spec 3.0.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Mar 15 2017 Jan Chaloupka <jchaloup@redhat.com> - 0.7.0-7
- Bump to upstream c5b7fccd204277076155f10851dad72b76a49317
  related: #1214784

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-5
- https://fedoraproject.org/wiki/Changes/golang1.7

* Sun Mar 06 2016 jchaloup <jchaloup@redhat.com> - 0.7.0-4
- Bump to upstream 449ccefff16c8e2b7229f6be1921ba22f62461fe
  related: #1214784

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 jchaloup <jchaloup@redhat.com> - 0.7.0-1
- Bump to upstream e51041b3fa41cece0dca035740ba6411905be473
  related: #1214784

* Mon Aug 17 2015 jchaloup <jchaloup@redhat.com> - 0.6.0-3
- Add Godeps.json to doc
  related: #1214784

* Fri Aug 07 2015 Fridolin Pokorny <fpokorny@redhat.com> - 0.6.0-2
- Update spec file to spec-2.0
- Disabled failing test prometheus
- Disabled failing test model
  resolves: #1214784

* Thu Jul 23 2015 Fridolin Pokorny <fpokorny@redhat.com> - 0.6.0-1
- Bump to upstream 36659fa1ad85ee0dd33822b68a192a814c93a57b
  related: #1214784

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 11 2015 jchaloup <jchaloup@redhat.com> - 0.5.0-1
- Bump to upstream b0bd7e1be33327b85cb4853e7011156e3cedd657
  related: #1214784

* Thu Apr 23 2015 jchaloup <jchaloup@redhat.com> - 0.4.0-1
- Bump to upstream 608ec8b69e284600a7ad1b36514a1e6876e22b9f
  resolves: #1214784

* Wed Mar 04 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.gite5098ac
- Bump to upstream e5098ac1ff13c7f85b68b120b253dd834ba49682
  related: #1190442

* Thu Feb 26 2015 jchaloup <jchaloup@redhat.com> - 0-0.2.git39e4bc8
- Bump to upstream 39e4bc83f974fb141a9e67c042b26322bacc917b
  related: #1190442

* Sat Feb 07 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git52186fc
- First package for Fedora
  resolves: #1190442

